Support XDG DesktopNames field in session files

Bug #1383321 reported by Robert Ancell on 2014-10-20
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Light Display Manager
Medium
Unassigned
1.10
Medium
Unassigned
1.12
Medium
Unassigned
lightdm (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned
Utopic
Medium
Unassigned
Vivid
Medium
Unassigned

Bug Description

[Impact]
LightDM doesn't support the XDG standard "DesktopNames" field in session .desktop files. Instead we only support X-LightDM-DesktopName which was used before the standard was set. Newer sessions might expect DesktopNames to work.

[Test Case]
1. Install a session which has DesktopNames set in /usr/share/xsessions/name.desktop. i.e. DesktopNames=GNOME;Unity;
2. Start this session
Expected result:
XDG_CURRENT_DESKTOP is set to GNOME:Unity
Observed result:
XDG_CURRENT_DESKTOP is not set

[Regression Potential]
Low. This feature is only activated if the field is set.

Changed in lightdm (Ubuntu Utopic):
status: New → Fix Released
importance: Undecided → Medium
Changed in lightdm (Ubuntu Trusty):
importance: Undecided → Medium
Changed in lightdm:
importance: Undecided → Medium
status: New → Fix Released
Changed in lightdm (Ubuntu Trusty):
status: New → Triaged
Changed in lightdm:
status: Fix Released → Fix Committed
milestone: none → 1.13.0
Changed in lightdm (Ubuntu Utopic):
status: Fix Released → Fix Committed
Changed in lightdm (Ubuntu Trusty):
status: Triaged → Fix Committed
Changed in lightdm (Ubuntu Vivid):
status: Fix Released → Fix Committed
Changed in lightdm:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm - 1.13.0-0ubuntu1

---------------
lightdm (1.13.0-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - Fix crash when having configuration keys defined in multiple places
      (LP: #1377373)
    - Fix pipe file descriptor leak for each session login / authentication
      (LP: #1190344)
    - Use correct syntax for DesktopNames key in session files (LP: #1383321)
    - Match seat configuration with globbing (LP: #1364911)
    - Allow user switching in multi-seat until bug stopping greeter showing on
      logout is fixed
    - Disable log message when AccountsService users change (LP: #1376357)
    - Update AppArmor scripts, requires AppArmor 2.9
    - Update tests to run better on servers
  * debian/config-error-dialog.sh:
    - Show warning dialog instead of interrupted login if syntax error in
      ~/.profile etc (LP: #678421)
 -- Robert Ancell <email address hidden> Thu, 13 Nov 2014 11:08:17 +1300

Changed in lightdm (Ubuntu Vivid):
status: Fix Committed → Fix Released

Hello Robert, or anyone else affected,

Accepted lightdm into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/lightdm/1.12.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Mathew Hodson (mathew-hodson) wrote :

The fix for this bug hasn't made it to trusty-proposed I don't think as it's not in the changelog for https://launchpad.net/ubuntu/+source/lightdm/1.10.3-0ubuntu2

Changed in lightdm (Ubuntu Trusty):
status: Fix Committed → In Progress
Brian Murray (brian-murray) wrote :

Hello Robert, or anyone else affected,

Accepted lightdm into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/lightdm/1.10.4-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in lightdm (Ubuntu Trusty):
status: In Progress → Fix Committed
Mathew Hodson (mathew-hodson) wrote :

$ echo $XDG_CURRENT_DESKTOP
Unity
$ apt list lightdm
Listing... Done
lightdm/trusty-proposed,now 1.10.4-0ubuntu2 amd64 [installed]

tags: added: verification-done-trusty verification-needed-utopic
removed: verification-needed

The verification of the Stable Release Update for lightdm has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm - 1.10.4-0ubuntu2

---------------
lightdm (1.10.4-0ubuntu2) trusty; urgency=medium

  * debian/config-error-dialog.sh:
  * debian/lightdm-session:
    - Use bash for the session to improve error handling (LP: #678421)
  * debian/control:
    - Depend on bash

lightdm (1.10.4-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Fix pipe file descriptor leak for each session login / authentication
      (LP: #1190344)
    - Support DesktopNames key in session files (LP: #1383321)
  * debian/config-error-dialog.sh:
    - Show warning dialog instead of interrupted login if syntax error in
      ~/.profile etc (LP: #678421)
 -- Robert Ancell <email address hidden> Tue, 25 Nov 2014 11:25:23 +1300

Changed in lightdm (Ubuntu Trusty):
status: Fix Committed → Fix Released
Timo Aaltonen (tjaalton) wrote :

noone tested this on utopic yet?

Hello Robert, or anyone else affected,

Accepted lightdm into utopic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/lightdm/1.12.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Robert Ancell (robert-ancell) wrote :

Confirmed fixed in utopic-proposed.

tags: added: verification-done-utopic
removed: verification-needed-utopic
tags: removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm - 1.12.3-0ubuntu1

---------------
lightdm (1.12.3-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - Fix pipe file descriptor leak for each greeter session. (LP: #1190344)
    - Don't attempt generate D-Bus seat/session removal signals on shutdown.
  * debian/guest-account.sh:
    - Rename variables to make script compatible with Bash (LP: #1411100)
  * debian/lightdm-session:
    - Use bash for the session to improve error handling (LP: #678421)
  * debian/control:
    - Depend on bash

lightdm (1.12.2-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - Fix pipe file descriptor leak for each session login / authentication
      (LP: #1190344)
    - Use correct syntax for DesktopNames key in session files (LP: #1383321)
    - Mock /run in tests
  * debian/config-error-dialog.sh:
    - Show warning dialog instead of interrupted login if syntax error in
      ~/.profile etc (LP: #678421)
 -- Robert Ancell <email address hidden> Tue, 10 Mar 2015 16:02:44 +1300

Changed in lightdm (Ubuntu Utopic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers